RNAstructure_java_drawing.source.runners

## Class StructureRunner

- java.lang.Object
- - RNAstructure_java_drawing.source.runners.RunnerTemplate
  - - RNAstructure_java_drawing.source.runners.StructureRunner

All Implemented Interfaces:
  Serializable

    public class StructureRunner
    extends RunnerTemplate
    implements Serializable

A class that runs RNAstructure Java structure drawing independently of the main RNAstructure application.

See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`StructureRunner()` Constructor.

### Method Summary

Methods
`static void` `main(String[] args)` The main method.
`protected String` `selectFile()` Select an image file.

### Methods inherited from class RNAstructure_java_drawing.source.runners.RunnerTemplate

`addClosingListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### StructureRunner

    public StructureRunner()

Constructor.

### Method Detail

#### main

    public static void main(String[] args)

The main method.

Parameters:
  `args` - The command line arguments (ignored).

#### selectFile

    protected String selectFile()

Description copied from class: `RunnerTemplate`
Select an image file.

Specified by:
  `selectFile` in class `RunnerTemplate`
Returns:
  The image file.